#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kfilereplace
Epoch:          1
Version: 16.12.3
Release:        %mkrel %{rel}
Summary:        KDE utility that replace some strings in many of files in one operation
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://www.kde.org/applications/utilities/kfilereplace/
Source0:        http://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kdepimlibs4-devel

Recommends:     %{name}-handbook

%description
KFileReplace is a very capable multi-line, mutli-file, multi-directory
find and replace that can create backups, use wildcards and regexps.

%files
%_kde_bindir/%{name}
%_kde_applicationsdir/%{name}.desktop
%_kde_appsdir/%{name}/
%_kde_appsdir/kfilereplacepart/
%_kde_iconsdir/*/*/apps/%{name}.png
%_kde_services/kfilereplacepart.desktop
%_kde_libdir/kde4/libkfilereplacepart.so
%_datadir/dbus-1/interfaces/org.kde.%{name}.xml

#--------------------------------------------------------------------------------

%package        handbook
Summary:        KfileReplace handbook
Group:          Documentation
BuildArch:      noarch
Requires:       %{name} >= %{epoch}:%{version}-%{release}

%description handbook
This package provides kfilereplace handbook.

%files handbook
%_kde_docdir/HTML/en/%{name}/

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export LD=%_kde_bindir/ld.gold
%cmake_kde4

%make_build

%install
%make_install -C build


%changelog
* Wed Mar 08 2017 neoclust <neoclust> 1:16.12.3-1.mga6
+ Revision: 1090058
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 1:16.12.0-1.mga6
+ Revision: 1076794
- New version 16.12.0

* Fri Dec 16 2016 daviddavid <daviddavid> 1:16.11.90-1.mga6
+ Revision: 1075699
- imported package kfilereplace

